package com.biganto.visual.roompark.domain.model

/**
 * Created by Vladislav Bogdashkin on 23.09.2019.
 */

data class DealListModel(val deals:List<DealListModel>)


data class StatusModel(
    val orderId:Int,
    val title:String,
    val shortTitle:String
)

data class DealModel(
    val id:String,
    val estate_id:String,
    val opportunitySum:Int,
    val paymentSum:Int,
    val amount_pay_sum:Int,
    val statusId:Int,
    val managerName: String,
    val estate:EstateModel
)


data class EstateModel(
    val id:Int,
    val type:String,
    val number:String,
    val sectionBegin:Int?=null,
    val sectionEnd:Int?=null,
    val planPNG:PlanModel?,
    val planJPG:PlanModel?,
    val rooms:Int?=null,
    val albumId:Int?=null,
    val multitourId:Int?=null,
    val commonInfo:CommonInfoModel? = null,
    val explications:List<ExplicationListModel>? = null,
    val url:String?
)

data class PlanModel(
    val url:String,
    val width:Int,
    val height:Int
)


data class CommonInfoModel(
    val building: Int,
    val section_begin: Int,
    val floor: Int,
    val floor_max: Int,
    val area: Float?,
    val area_living: Float?,
    val kind: String?,
    val dependent:Boolean?=null,
    val decoration: String?,
    val ceiling: Float?,
    val windows_face: String?,
    val direction: String?,
    val price_meter: Int?,
    val price: Int?,
    val discount: Float?,
    val discount_amount: Int?,
    val rooms: Int?
)

data class ExplicationListModel(
    val planId:Int,
    val items:List<ExplicationModel>
)

data class ExplicationModel(
    val living: Boolean,
    val area: Float,
    val title: String
)

/*
data class CommonEstateInfoModel(
    val corpus:Int,
    val section:Int,
    val floor:Int,
    val totalFloors:Int,
    val totalArea:Float,
    val livingArea:Float,
    val rooms:Int,
    val flatType:String,
    val furnishType:String,
    val ceilingHieght:Float,
    val windowViewTGype:String,
    val sideOfTheWorld:String,
    val costPerM2:Float,
    val totalSum:Float
)
*/
